Creates a new tax code.
curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/tax-codes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"cashDiscountAccount": "<string>",
"generalLedgerAccount": "<string>",
"isAutomatic": true,
"name": "<string>",
"number": 123
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/tax-codes"
payload = {
"cashDiscountAccount": "<string>",
"generalLedgerAccount": "<string>",
"isAutomatic": True,
"name": "<string>",
"number": 123
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
cashDiscountAccount: '<string>',
generalLedgerAccount: '<string>',
isAutomatic: true,
name: '<string>',
number: 123
})
};
fetch('https://api.jtl-cloud.com/erp/v2/tax-codes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/tax-codes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'cashDiscountAccount' => '<string>',
'generalLedgerAccount' => '<string>',
'isAutomatic' => true,
'name' => '<string>',
'number' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/tax-codes"
payload := strings.NewReader("{\n \"cashDiscountAccount\": \"<string>\",\n \"generalLedgerAccount\": \"<string>\",\n \"isAutomatic\": true,\n \"name\": \"<string>\",\n \"number\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.jtl-cloud.com/erp/v2/tax-codes")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"cashDiscountAccount\": \"<string>\",\n \"generalLedgerAccount\": \"<string>\",\n \"isAutomatic\": true,\n \"name\": \"<string>\",\n \"number\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/tax-codes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"cashDiscountAccount\": \"<string>\",\n \"generalLedgerAccount\": \"<string>\",\n \"isAutomatic\": true,\n \"name\": \"<string>\",\n \"number\": 123\n}"
response = http.request(request)
puts response.read_body"b45f6432-2462-4c6f-b00f-1d9d01000000"Tax
Creates a new tax code.
Creates a new tax code.
POST
/
v2
/
tax-codes
Creates a new tax code.
curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/tax-codes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"cashDiscountAccount": "<string>",
"generalLedgerAccount": "<string>",
"isAutomatic": true,
"name": "<string>",
"number": 123
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/tax-codes"
payload = {
"cashDiscountAccount": "<string>",
"generalLedgerAccount": "<string>",
"isAutomatic": True,
"name": "<string>",
"number": 123
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
cashDiscountAccount: '<string>',
generalLedgerAccount: '<string>',
isAutomatic: true,
name: '<string>',
number: 123
})
};
fetch('https://api.jtl-cloud.com/erp/v2/tax-codes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/tax-codes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'cashDiscountAccount' => '<string>',
'generalLedgerAccount' => '<string>',
'isAutomatic' => true,
'name' => '<string>',
'number' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/tax-codes"
payload := strings.NewReader("{\n \"cashDiscountAccount\": \"<string>\",\n \"generalLedgerAccount\": \"<string>\",\n \"isAutomatic\": true,\n \"name\": \"<string>\",\n \"number\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.jtl-cloud.com/erp/v2/tax-codes")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"cashDiscountAccount\": \"<string>\",\n \"generalLedgerAccount\": \"<string>\",\n \"isAutomatic\": true,\n \"name\": \"<string>\",\n \"number\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/tax-codes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"cashDiscountAccount\": \"<string>\",\n \"generalLedgerAccount\": \"<string>\",\n \"isAutomatic\": true,\n \"name\": \"<string>\",\n \"number\": 123\n}"
response = http.request(request)
puts response.read_body"b45f6432-2462-4c6f-b00f-1d9d01000000"Authorizations
oauth2-authorization-codeoauth2-client-credentials
Scopes
Headers
Body
application/json
Request parameters
Creates a new tax code. - Request
Response
The tax code has been successfully created.
Id of a tax code.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Was this page helpful?